{ hackGet, haskellLib, self, super }:
let
  hsluaSrc = hackGet ./hslua;
in
with haskellLib;
{
    pandoc = doJailbreak (dontCheck (self.callHackage "pandoc" "2.18" {}));
    pandoc-types = doJailbreak (dontCheck (self.callHackage "pandoc-types" "1.22.2" {}));
    pandoc-lua-marshal = dontCheck (self.callHackage "pandoc-lua-marshal" "0.1.6" {});
    unicode-collation = self.callHackage "unicode-collation" "0.1.3.1" {};
    jira-wiki-markup = self.callHackage "jira-wiki-markup" "1.4.0" {};
    commonmark = self.callHackage "commonmark" "0.2.2" {};
    commonmark-pandoc = self.callHackage "commonmark-pandoc" "0.2.1.2" {};
    commonmark-extensions = self.callHackage "commonmark-extensions" "0.2.3.1" {};
    unicode-data = self.callHackage "unicode-data" "0.3.0" {};
    doclayout = self.callHackage "doclayout" "0.4" {};
    emojis = self.callHackage "emojis" "0.1.2" {};
    ipynb = self.callHackage "ipynb" "0.2" {};
    skylighting = self.callHackage "skylighting" "0.12.3" {};
    skylighting-core = self.callHackage "skylighting-core" "0.12.3" {};
    texmath = self.callHackage "texmath" "0.12.5" {};
    citeproc = self.callHackage "citeproc" "0.7" {};
    aeson-pretty = self.callHackage "aeson-pretty" "0.8.9" {};
    unordered-containers = self.callHackage "unordered-containers" "0.2.14.0" {};

    # hslua (for pandoc)
    hslua = dontCheck (self.callPackage (hsluaSrc + "/hslua") {});
    hslua-aeson = dontCheck (self.callCabal2nix "hslua-aeson" (hsluaSrc + "/hslua-aeson") {});
    lpeg = dontCheck (self.callCabal2nix "lpeg" (hsluaSrc + "/lpeg") {});
    hslua-classes = dontCheck (self.callCabal2nix "hslua-classes" (hsluaSrc + "/hslua-classes") {});
    hslua-core = dontCheck (self.callCabal2nix "hslua-core" (hsluaSrc + "/hslua-core") {});
    hslua-marshalling = dontCheck (self.callCabal2nix "hslua-marshalling" (hsluaSrc + "/hslua-marshalling") {});
    hslua-module-doclayout = dontCheck (self.callHackage "hslua-module-doclayout" "1.0.4" {});
    hslua-module-system = dontCheck (self.callCabal2nix "hslua-module-system" (hsluaSrc + "/hslua-module-system") {});
    hslua-module-path = dontCheck (self.callCabal2nix "hslua-module-path" (hsluaSrc + "/hslua-module-path") {});
    hslua-module-text = dontCheck (self.callCabal2nix "hslua-module-text" (hsluaSrc + "/hslua-module-text") {});
    hslua-module-version = dontCheck (self.callCabal2nix "hslua-module-version" (hsluaSrc + "/hslua-module-version") {});
    hslua-objectorientation = dontCheck (self.callCabal2nix "hslua-objectorientation" (hsluaSrc + "/hslua-objectorientation") {});
    hslua-packaging = dontCheck (self.callCabal2nix "hslua-packaging" (hsluaSrc + "/hslua-packaging") {});
    lua = dontCheck (self.callCabal2nix "lua" (hsluaSrc + "/lua") {});
    lua-arbitrary = dontCheck (self.callCabal2nix "lua-arbitrary" (hsluaSrc + "/lua-arbitrary") {});
    tasty-bench = self.callHackage "tasty-bench" "0.3.1" {};
    tasty-hslua = self.callHackage "tasty-hslua" "1.0.2" {};

    doctemplates = self.callHackage "doctemplates" "0.11" {};
    tree-diff = doJailbreak (self.callHackageDirect {
      pkg = "tree-diff";
      ver = "0.3.0.1";
      sha256 = "sha256-bJ7PVcMiXY5osuUDkfUzdAIf2FVH26hKjFrj6riL/Jc=";
    } {});
    data-array-byte = self.callHackageDirect {
      pkg = "data-array-byte";
      ver = "0.1.0.1";
      sha256 = "sha256-bQHSBaaBrNbs6nuaDyV4zhhUdZtvmpShqSrGPj9RGb4=";
    } {};
    microlens-aeson = self.callHackage "microlens-aeson" "2.5.0" {};
}
